# RTCPCompoundHandler::RTCPPacket Struct Reference

Struct representing general RTCP packet headers as they are sent through the network. More...

`#include <rtcppkt.h>`

List of all members.

## Public Types

enum | Type { tSR = 200, tRR, tSDES, tBYE, tAPP, tFIR = 192, tNACK = 193, tXR }
| rtp.h cc++/rtp.h More...

## Public Member Functions

uint32 | getLength () const
| Get the packet length specified in its header, in octets and in host order.
uint32 | getSSRC () const
| Get the SSRC identifier specified in the packet header, in host order.

## Public Attributes

RTCPFixedHeader | fh
| Fixed RTCP header.
union {
SendReport SR
RecvReport RR
SDESChunk SDES
BYEPacket BYE
APPPacket APP
NACKPacket NACK
FIRPacket FIR
} | info
| Union for SR, RR, SDES, BYE and APP.

## Detailed Description

Struct representing general RTCP packet headers as they are sent through the network.

This struct consists of a fixed header, always at the beginning of any RTCP packet, and a union for all the RTCP packet types supported.

## Member Enumeration Documentation

enum RTCPCompoundHandler::RTCPPacket::Type

rtp.h cc++/rtp.h

RTCP packet types. They are registered with IANA.

Enumerator:

  tSR | Sender Report.
  tRR | Receiver Report.
  tSDES | Source DEScription.
  tBYE | End of participation.
  tAPP | APPlication specific.
  tFIR | Full Intra-frame request.
  tNACK | Negative ACK.
  tXR | Extended Report.

## Member Function Documentation

uint32 RTCPCompoundHandler::RTCPPacket::getLength | ( | ) | const`[inline]`

Get the packet length specified in its header, in octets and in host order.

uint32 RTCPCompoundHandler::RTCPPacket::getSSRC | ( | ) | const`[inline]`

Get the SSRC identifier specified in the packet header, in host order.

## Member Data Documentation

APPPacket RTCPCompoundHandler::RTCPPacket::APP

BYEPacket RTCPCompoundHandler::RTCPPacket::BYE

RTCPFixedHeader RTCPCompoundHandler::RTCPPacket::fh

Fixed RTCP header.

FIRPacket RTCPCompoundHandler::RTCPPacket::FIR

union { ... } RTCPCompoundHandler::RTCPPacket::info

Union for SR, RR, SDES, BYE and APP.

NACKPacket RTCPCompoundHandler::RTCPPacket::NACK

RecvReport RTCPCompoundHandler::RTCPPacket::RR

SDESChunk RTCPCompoundHandler::RTCPPacket::SDES

SendReport RTCPCompoundHandler::RTCPPacket::SR

The documentation for this struct was generated from the following file:

- rtcppkt.h